/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;

import java.util.Date;


/**
 * 进度图数据准备
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-07 15:47:15  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "进度图数据准备")
public class ProgressChartPrepare implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_caseTotal = "caseTotal";
  public static final String KEY_execSum = "execSum";
  public static final String KEY_execTotal = "execTotal";
  public static final String KEY_testPointTotal = "testPointTotal";
  public static final String KEY_createdTime = "createdTime";

  /**
   * <br>
   */
  @ApiModelProperty("")
  private Long id;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 50, message="系统id-projectId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * 用例总数<br>
   */
  @ApiModelProperty("用例总数")
  private Integer caseTotal;
  /**
   * 执行数：通过+失败<br>
   */
  @ApiModelProperty("执行数：通过+失败")
  private Integer execSum;
  /**
   * 执行总数：总数-无效<br>
   */
  @ApiModelProperty("执行总数：总数-无效")
  private Integer execTotal;
  /**
   * 测试点总数<br>
   */
  @ApiModelProperty("测试点总数")
  private Integer testPointTotal;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;

  /**
   * <br>
   */
  public Long getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(Long id)
  {
      this.id = id;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 系统id<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统id<br>
   *
   * @param projectId 系统id
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 用例总数<br>
   */
  public Integer getCaseTotal()
  {
      return caseTotal;
    }

  /**
   * 用例总数<br>
   *
   * @param caseTotal 用例总数
   */
  public void setCaseTotal(Integer caseTotal)
  {
      this.caseTotal = caseTotal;
    }
  /**
   * 执行数：通过+失败<br>
   */
  public Integer getExecSum()
  {
      return execSum;
    }

  /**
   * 执行数：通过+失败<br>
   *
   * @param execSum 执行数：通过+失败
   */
  public void setExecSum(Integer execSum)
  {
      this.execSum = execSum;
    }
  /**
   * 执行总数：总数-无效<br>
   */
  public Integer getExecTotal()
  {
      return execTotal;
    }

  /**
   * 执行总数：总数-无效<br>
   *
   * @param execTotal 执行总数：总数-无效
   */
  public void setExecTotal(Integer execTotal)
  {
      this.execTotal = execTotal;
    }
  /**
   * 测试点总数<br>
   */
  public Integer getTestPointTotal()
  {
      return testPointTotal;
    }

  /**
   * 测试点总数<br>
   *
   * @param testPointTotal 测试点总数
   */
  public void setTestPointTotal(Integer testPointTotal)
  {
      this.testPointTotal = testPointTotal;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }

  public ProgressChartPrepare()
  {
  }

}
